<!DOCTYPE html>
<html>
  <head>
    <title>Athena</title>

    <meta charset="UTF-8"/>
    <meta name="description" content="Athena - Quick links to live train departures for traincrew."/>
    <meta name="viewport" content="width=device-width, initial=scale=1.0">
    <meta name="application-name" content="Athena">
    <meta name="author" content="Frederick Boniface">

    <link rel="stylesheet" type="text/css" href="/styles/style.css"/>
    <link rel="icon" type="image/png" href="/assets/icons/favicon.ico"/>

  </head>

  <body>

   <?php
   // define form variables and set to empty values (or to the UA)
   $subject = $detail = "";
   $ua_str = $_SERVER["HTTP_USER_AGENT"];

   if ($_SERVER["REQUEST_METHOD"] == "POST" ) {
     $subject = validate($_POST["subject"]);
     $detail = validate($_POST["detail"]);

     // ENTER CODE TO SUBMIT TO GITEA HERE
   }

   function validate($data) {
     $data = trim($data);
     $data = stripslashes($data);
     $data = htmlspecialchars($data);
     return $data;
   }
   ?>

    <!-- Main Content Begins -->
    <img class="titleimg" src="/assets/title/title.webp"></img>

    <h1>Please help us fix your issue</h1>

      <p>Give as much detail as possible so we can try to fix the problem.</p>

      <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
        Subject:
        <br>
        <input type="text" name="subject">
        <br>
        <br>
        Details:
        <br>
        <textarea name="detail" rows="5" cols="40"></textarea>
        <br>
        On submission of this form, your browsers User Agent string will be
        collected alongside the information you provide above and will be
        posted to git.fjla.uk/fred.boniface/athena.fb-infra.uk/issues.
        <br>
        <br>
        Your user agent is:
        <br>
        <?php echo $ua_str; ?>
        <br>
        <input type="submit">
      </form>

    <!-- Footer -->
    <footer>
      <p>Created by Fred Boniface - v0.4.0-devel</p>
    </footer>

  </body>

</html>
